SVN: rc-scripts/trunk/rc.d/init.d/functions

glen glen at pld-linux.org
Thu Nov 1 02:05:14 CET 2007


Author: glen
Date: Thu Nov  1 02:05:14 2007
New Revision: 8928

Modified:
   rc-scripts/trunk/rc.d/init.d/functions
Log:
- drop unneeded subshell

Modified: rc-scripts/trunk/rc.d/init.d/functions
==============================================================================
--- rc-scripts/trunk/rc.d/init.d/functions	(original)
+++ rc-scripts/trunk/rc.d/init.d/functions	Thu Nov  1 02:05:14 2007
@@ -818,8 +818,8 @@
 is_module()
 {
 	# module name without .o at end
-	if ! (lsmod | grep -q "$1"); then
-		if (ls -R /lib/modules/$(uname -r)/ 2> /dev/null | grep -q "${1}.\(\|k\)o\(\|.gz\)"); then
+	if ! lsmod | grep -q "$1"; then
+		if ls -R /lib/modules/$(uname -r)/ 2> /dev/null | grep -q "${1}.\(\|k\)o\(\|.gz\)"; then
 			# true
 			return 0
 		fi


More information about the pld-cvs-commit mailing list